Skip to main content
POST
Create Logged Model

Body

application/json

Request body for creating a new logged model.

experiment_id
string
required

ID of the associated experiment.

name
string

Name of the model. Optional. If not specified, the backend will generate one.

model_type
string

The type of model, such as "Agent", "Classifier", "LLM".

source_run_id
string

Run ID of the run that created this model.

params
object[]

LoggedModel params.

tags
object[]

LoggedModel tags.

Response

200 - application/json

List of artifacts that fit the search criteria

The response from creating a logged model.

model
object

A LoggedModel message includes logged model attributes, tags, registration info, params, and linked run metrics.